The following commit has been merged in the master branch:
commit 2e5ab1337d855bf4e9638079c5a746aa979f70b8
Author: Stephane Glondu <st...@glondu.net>
Date:   Wed Apr 27 10:33:51 2011 +0200

    Use debian instead of deprecated debian_bundle

diff --git a/debian/changelog b/debian/changelog
index 615c80f..056ed21 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+pkglab (1.4.2-13) UNRELEASED; urgency=low
+
+  * add-sources.py: use debian module (from python-debian) instead of
+    deprecated debian_bundle
+
+ -- St├ęphane Glondu <glo...@debian.org>  Wed, 27 Apr 2011 10:32:50 +0200
+
 pkglab (1.4.2-12) unstable; urgency=low
 
   * Downgrade priority to extra, since dose2 has priority extra now.
diff --git a/debian/contrib/add-sources.py b/debian/contrib/add-sources.py
index b64d6d3..8bc5372 100755
--- a/debian/contrib/add-sources.py
+++ b/debian/contrib/add-sources.py
@@ -27,7 +27,7 @@ import sys
 
 from ConfigParser import ConfigParser
 from optparse import OptionParser
-from debian_bundle import deb822
+from debian import deb822
 
 usage = 'Usage: cat Packages | add-sources [OPTION...] Sources ARCH > 
Packages.new'
 cli = OptionParser(usage=usage)
diff --git a/debian/control b/debian/control
index 84aaf69..32a1294 100644
--- a/debian/control
+++ b/debian/control
@@ -32,7 +32,7 @@ Description: interactive environment to explore package 
repositories
 Package: edos-distcheck
 Architecture: any
 Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends},
- python-debian (>= 0.1.11), python, perl,
+ python-debian (>= 0.1.15~), python, perl,
 Conflicts: edos-debcheck (<= 1.0-8), edos-rpmcheck (<= 1.0-8)
 Replaces: edos-debcheck, edos-rpmcheck
 Provides: edos-debcheck, edos-rpmcheck

-- 
pkglab packaging

_______________________________________________
Pkg-ocaml-maint-commits mailing list
Pkg-ocaml-maint-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-ocaml-maint-commits

Reply via email to